!
!coupled ejection
!
set out;steps_eject_infl0_10_act0_24 on
assign NAME1=cavity_
assign NAME2=fullheart_def_0010_active_0024_cavk_
assign INCREM=0.0
assign ITERS=20
assign TOL=0.001
!
!loop through decreasing values for the cavity impedances to 
!simulate cavity ejection.
!
assign MAT=640
DO "I"=1..26
  assign MAT2=`MAT*1000` truncate
  IF MAT2 < 10
    assign MATNUM=0000000//MAT2
  ELSEIF MAT2 < 100
    assign MATNUM=000000//MAT2
  ELSEIF MAT2 < 1000
    assign MATNUM=00000//MAT2
  ELSEIF MAT2 < 10000
    assign MATNUM=0000//MAT2
  ELSEIF MAT2 < 100000
    assign MATNUM=000//MAT2
  ELSEIF MAT2 < 1000000
    assign MATNUM=00//MAT2
  ELSE
    assign MATNUM=0//MAT2
  ENDIF
  list assign
  fem define material;r;NAME1//MATNUM reg 2
  fem define material;r;NAME1//MATNUM reg 3
  fem solve increment INCREM iter ITERS coupled error TOL
  fem define initial;w;NAME2//MATNUM reg 1,2,3
  IF MAT > 10
    assign MAT=`MAT/2`
  ELSEIF MAT > 4
    assign MAT=`MAT-1.0`
  ELSE
    assign MAT=`MAT-0.3`
  ENDIF
ENDDO
deassign MAT
deassign NAME1
deassign NAME2
deassign INCREM
deassign ITERS
deassign TOL
set out off
